package com.patzn.cloud.service.lims.hmhj.service.impl;

import com.baomidou.mybatisplus.mapper.Condition;
import com.patzn.cloud.service.hmhj.entity.ContractSample;
import com.patzn.cloud.service.lims.hmhj.mapper.ContractSampleMapper;
import com.patzn.cloud.service.lims.hmhj.service.IContractSampleService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

import java.util.List;

/**
 *  服务实现类
 *
 * @author wwd
 * @since 2021-02-01
 */
@Service
public class ContractSampleServiceImpl extends BaseServiceImpl<ContractSampleMapper, ContractSample> implements IContractSampleService {

    @Override
    public Page<ContractSample> page(Page<ContractSample> page, ContractSample contractSample) {
        Wrapper wrapper = new EntityWrapper<>(contractSample);

        return this.page(page, wrapper);
    }

    @Override
    public boolean removeByIds(List<Long> ids) {
        return baseMapper.deleteBatchIds(ids) > 0;
    }
}
