package com.patzn.cloud.service.lims.hmhj.service.impl;

import com.baomidou.mybatisplus.mapper.Condition;
import com.patzn.cloud.service.hmhj.entity.ContractSampleItem;
import com.patzn.cloud.service.lims.hmhj.mapper.ContractSampleItemMapper;
import com.patzn.cloud.service.lims.hmhj.service.IContractSampleItemService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

import java.util.List;

/**
 *  服务实现类
 *
 * @author wwd
 * @since 2021-02-01
 */
@Service
public class ContractSampleItemServiceImpl extends BaseServiceImpl<ContractSampleItemMapper, ContractSampleItem> implements IContractSampleItemService {

    @Override
    public Page<ContractSampleItem> page(Page<ContractSampleItem> page, ContractSampleItem contractSampleItem) {
        Wrapper wrapper = new EntityWrapper<>(contractSampleItem);

        return this.page(page, wrapper);
    }

    @Override
    public boolean removeByIds(List<Long> ids) {
        return baseMapper.deleteBatchIds(ids) > 0;
    }
}
